Bug 37679 - Cannot compile Perl-RPM with RPM 4.02 or 4.03
Cannot compile Perl-RPM with RPM 4.02 or 4.03
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
http://www.cpan.org/authors/id/RJRAY/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 16:13 EDT by Jody McIntyre
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-25 16:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jody McIntyre 2001-04-25 16:13:15 EDT
Perl-RPM 0.30 (available at URL) will not compile with rpm-devel-4.02-7x or
rpm-devel-4.03-0.6.  It will compile with rpm-devel-4.0-4.  I receive the
following error:

--
gcc -c -I. -I/usr/include/rpm -fno-strict-aliasing -O2 -march=i386
-mcpu=i686     -DVERSION=\"0.30\" -DXS_VERSION=\"0.30\" -fPIC
-I/usr/lib/perl5/5.6.0/i386-linux/CORE -DRPM_MAJOR=4 -DRPM_MINOR=0
-DRPM_PATCH=3 RPM/Header.c -o RPM/Header.o
Header.xs: In function `new_from_fd_t':
Header.xs:215: `RPMERR_READERROR' undeclared (first use in this function)
Header.xs:215: (Each undeclared identifier is reported only once
Header.xs:215: for each function it appears in.)
Header.xs: In function `rpmhdr_FIRSTKEY':
Header.xs:885: warning: passing arg 4 of `headerNextIterator' from
incompatible pointer type
Header.xs:887: warning: passing arg 4 of `headerNextIterator' from
incompatible pointer type
Header.xs: In function `rpmhdr_NEXTKEY':
Header.xs:916: warning: passing arg 4 of `headerNextIterator' from
incompatible pointer type
make: *** [RPM/Header.o] Error 1
--

I am filing a bug against RPM as requested by Jeff Johsnon on the perl-rpm
mailing list, although it may be more appropriate as a bug against Perl-RPM.
Comment 1 Jeff Johnson 2001-06-30 15:21:57 EDT
I believe this is resolved now, and, to prevent this problem in the
future, there will probably be a rpm-perl subpackage produced
as part of a rpm build.

Note You need to log in before you can comment on or make changes to this bug.